Bug 1658732 - [abrt] xfce4-panel: mem_error(): xfce4-panel killed by SIGABRT
Summary: [abrt] xfce4-panel: mem_error(): xfce4-panel killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c8e485f2ededa084d66ec7c49d7...
Depends On:
Blocks: 1671305
TreeView+ depends on / blocked
 
Reported: 2018-12-12 18:24 UTC by Paul DeStefano
Modified: 2019-07-22 23:37 UTC (History)
3 users (show)

Fixed In Version: xfce4-panel-4.13.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 04:33:55 UTC


Attachments (Terms of Use)
File: backtrace (53.46 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: cgroup (349 bytes, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: core_backtrace (21.69 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: dso_list (9.65 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: environ (1.64 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: maps (62.97 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: mountinfo (3.76 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: open_fds (2.18 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-12-12 18:24 UTC, Paul DeStefano
no flags Details

Description Paul DeStefano 2018-12-12 18:24:12 UTC
Description of problem:
I clicked on the Xfce panel menu

Version-Release number of selected component:
xfce4-panel-4.13.3-20.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: mem_error
executable:     /usr/bin/xfce4-panel
journald_cursor: s=694ca13b71674a17afcd8be05f19b417;i=10821;b=c4de682690324d2493dc0196f4c1cf20;m=129e4fcd8;t=57cd6fccfb6e5;x=1352e3d992c5cdda
kernel:         4.20.0-0.rc5.git3.1.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Paul DeStefano 2018-12-12 18:24:13 UTC
Created attachment 1513744 [details]
File: backtrace

Comment 2 Paul DeStefano 2018-12-12 18:24:14 UTC
Created attachment 1513745 [details]
File: cgroup

Comment 3 Paul DeStefano 2018-12-12 18:24:15 UTC
Created attachment 1513746 [details]
File: core_backtrace

Comment 4 Paul DeStefano 2018-12-12 18:24:16 UTC
Created attachment 1513747 [details]
File: cpuinfo

Comment 5 Paul DeStefano 2018-12-12 18:24:16 UTC
Created attachment 1513748 [details]
File: dso_list

Comment 6 Paul DeStefano 2018-12-12 18:24:17 UTC
Created attachment 1513749 [details]
File: environ

Comment 7 Paul DeStefano 2018-12-12 18:24:18 UTC
Created attachment 1513750 [details]
File: limits

Comment 8 Paul DeStefano 2018-12-12 18:24:19 UTC
Created attachment 1513751 [details]
File: maps

Comment 9 Paul DeStefano 2018-12-12 18:24:19 UTC
Created attachment 1513752 [details]
File: mountinfo

Comment 10 Paul DeStefano 2018-12-12 18:24:20 UTC
Created attachment 1513753 [details]
File: open_fds

Comment 11 Paul DeStefano 2018-12-12 18:24:21 UTC
Created attachment 1513754 [details]
File: proc_pid_status

Comment 12 Mukundan Ragavan 2018-12-16 15:21:03 UTC
Does this happen every time? Can you the desktop?

Comment 13 Paul DeStefano 2018-12-16 19:36:38 UTC
No, this is rare, at this point.  I think it happened when after wake from sleep?  But, it hasn't happened again, since; however, it's only been a couple days since I last updated.  It could be a new bug that will recurr soon, or, it could have been a fluke.  Can you give me another week or so?

Comment 14 Fedora Update System 2019-01-02 23:40:01 UTC
xfce4-panel-4.13.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1460759dd1

Comment 15 Fedora Update System 2019-01-03 05:08:03 UTC
xfce4-panel-4.13.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1460759dd1

Comment 16 Fedora Update System 2019-01-11 04:33:55 UTC
xfce4-panel-4.13.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Geysler Niclevicz 2019-07-22 23:37:45 UTC
Similar problem has been detected:

From terminal, I opened the file /usr/share/applications/vscode.desktop in vim. I edited the file removing the name Utility from line starting with Categories and xfce4-panel crashed after save file vscode.desktop.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 230590e07-06ed-489b-b12c-cea6077a9d39
crash_function: mem_error
executable:     /usr/bin/xfce4-panel
journald_cursor: s=8e8d3471698c459b925647dcb0b65902;i=1873e;b=cdcbb4877f4149f58a3180ffd3fd4c0b;m=2cc43909e2;t=58e4bc8f18ce3;x=571089212f35e24d
kernel:         5.3.0-0.rc0.git4.1.fc31.x86_64
package:        xfce4-panel-4.13.6-2.fc31
reason:         xfce4-panel killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.